package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "FactoRateKelompokShift_T")
public class FactoRateKelompokShift extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "KelompokShiftFk")
	@NotNull(message = "KelompokShift Harus Diisi")
	@Caption(value = "KelompokShift")
	private KelompokShift kelompokShift;
	
	@Column(name = "KelompokShiftFk", insertable = false, updatable = false)
	private Integer kelompokShiftId;
	
	@Caption(value = "periode")
	@Column(name = "periode", nullable = false)
	private String periode;
	
	@Column(name="FactorRate", nullable = false)
	@Caption(value="Factor Rate")
	private Double factorRate;
	
	@Column(name="hari", nullable = true)
	@Caption(value="hari")
	private Integer hari;

	public KelompokShift getKelompokShift() {
		return kelompokShift;
	}

	public void setKelompokShift(KelompokShift kelompokShift) {
		this.kelompokShift = kelompokShift;
	}

	public Integer getKelompokShiftId() {
		return kelompokShiftId;
	}

	public void setKelompokShiftId(Integer kelompokShiftId) {
		this.kelompokShiftId = kelompokShiftId;
	}

	public String getPeriode() {
		return periode;
	}

	public void setPeriode(String periode) {
		this.periode = periode;
	}

	public Double getFactorRate() {
		return factorRate;
	}

	public void setFactorRate(Double factorRate) {
		this.factorRate = factorRate;
	}
	
	public Integer getHari() {
		return hari;
	}

	public void setHari(Integer hari) {
		this.hari = hari;
	}

}
